import request from "@/utils/request.js";

//存openid
export function getTechnicianToken(data) {
    return request({
        method: 'get',
        url: '/sq/getTechnicianToken',
        data
    });
}
//获取手机验证码
export function sendMsg(data) {
    return request({
        method: 'get',
        url: '/weChat/sendMsg',
        data
    });
}


// 商户登录
export function clientLogin(data) {
    return request({
        method: 'post',
        url: '/technician/technician/clientLogin',
        data,
        // header: {
        //     'content-type': 'multipart/form-data'
        // }
    });
}
// 商户忘记密码
export function resetPassword(data) {
    return request({
        method: 'post',
        url: '/technician/technician/resetPassword',
        data,
        // header: {
        //     'content-type': 'multipart/form-data'
        // }
    });
}
// 获取图形验证码
export function captchaImage(data) {
    return request({
        method: 'get',
        url: '/captchaImage',
        data
    });
}

//校验图形验证码
export function getValidateCaptcha(data) {
    return request({
        method: 'post',
        url: '/technician/technician/getValidateCaptcha',
        data
    });
}
//获取省市树
export function provinceCityTree (data) {
    return request({
        method: 'get',
        url: '/area/provinceCityTree',
        data
    });
}
// 获取部门
export function regionList(data) {
    return request({
        method: 'get',
        url: '/system/dept/region/list',
        data
    });
}

